## sidplay 1.36.15

=== libsidplay-1.36.15/Makefile ===
# Makefile for libsidplay.
#
# make depend
# make
#
# Check ``include/compconf.h'' for items to configure !

#----------------------------------------------------------------------------
# Compiler settings. Try different or no optimizations if you get problems !

CC        =  gcc
CXX       =  g++

#CFLAGS    =  -O
#CFLAGS    =  -O2 -funroll-loops -finline-functions
CFLAGS    =  -pipe -O6 -funroll-loops -finline-functions -fomit-frame-pointer

CXXFLAGS  =  $(CFLAGS)

#----------------------------------------------------------------------------
version = 1.36.15
majorversion = 1.36

INCS += -I. -Iinclude -Iemu

sources = emu/6510_.cpp emu/6581_.cpp emu/envelope.cpp emu/mixing.cpp emu/samples.cpp \
		fformat/fformat_.cpp fformat/info_.cpp fformat/mus_.cpp fformat/pp_.cpp \
		fformat/psid_.cpp fformat/sid_.cpp \
		eeconfig.cpp player.cpp sidtune.cpp

srcdirs = . emu fformat include

srcobjs = emu/6510_.o emu/6581_.o emu/envelope.o emu/mixing.o emu/samples.o  \
		fformat/fformat_.o fformat/info_.o fformat/mus_.o fformat/pp_.o  \
		fformat/psid_.o fformat/sid_.o \
		eeconfig.o player.o	sidtune.o

.PHONY: all
all:	engine libsidplay.a

.PHONY: clean
clean:
		@for subdir in $(srcdirs); do \
			(cd $$subdir && rm -f *.d *.o *~ *.a *.so) || exit 1; \
		done

.PHONY: depend
depend:
		@makedepend $(INCS) $(sources) 2> /dev/null

.EXPORT_ALL_VARIABLES:

.SUFFIXES:
.SUFFIXES: .cpp .d .h .o

%.d:	%.cpp
		$(CXX) -M $(INCS) $(DEFS) $< > $@

%.o:	%.cpp
		$(CXX) $(CXXFLAGS) $(INCS) $(DEFS) -c $< -o $@

engine: $(srcobjs)

libsidplay.a: $(srcobjs)
		rm -f libsidplay.a
		ar crv libsidplay.a $(srcobjs)
		ranlib libsidplay.a

libsidplay.so: $(srcobjs)
		$(CXX) -shared -Wl,-soname,libsidplay.so.$(majorversion) \
		-o libsidplay.so $(srcobjs)

# ---------------------------------------------------------------------------
# Where to install the libraries and header files.
# Top level slash is important for ``ln'' to work correctly.

ifeq ($(DESTPREFIX),)
libdest = /usr/lib
incdest = /usr/include/sidplay
else
libdest = $(DESTPREFIX)/lib
incdest = $(DESTPREFIX)/include/sidplay
endif

.PHONY: install
install:
		install -d -m 755 $(libdest)
		install -m 644 libsidplay.a $(libdest)/libsidplay.a
		install -m 644 libsidplay.so $(libdest)/libsidplay.so.$(version)
		rm -f $(libdest)/libsidplay.so.$(majorversion)
		rm -f $(libdest)/libsidplay.so
		ln -sfv libsidplay.so.$(version) $(libdest)/libsidplay.so.$(majorversion)
		ln -sfv libsidplay.so.$(version) $(libdest)/libsidplay.so
		install -d -m 755 $(incdest)
		install -m 644 include/compconf.h $(incdest)
		install -m 644 include/emucfg.h $(incdest)
		install -m 644 include/myendian.h $(incdest)
		install -m 644 include/mytypes.h $(incdest)
		install -m 644 include/player.h $(incdest)
		install -m 644 include/sidtune.h $(incdest)
		install -m 644 include/version.h $(incdest)

# ---------------------------------------------------------------------------
# DO NOT DELETE THIS LINE -- make depend depends on it.

emu/6510_.o: emu/6510_.h include/mytypes.h include/myendian.h
emu/6510_.o: include/compconf.h include/emucfg.h include/sidtune.h
emu/6581_.o: include/mytypes.h include/myendian.h include/compconf.h
emu/6581_.o: include/sidtune.h emu/6510_.h include/emucfg.h emu/envelope.h
emu/6581_.o: emu/opstruct.h emu/samples.h emu/wave6581.h emu/wave8580.h
emu/envelope.o: emu/envelope.h include/mytypes.h
emu/envelope.o: include/myendian.h include/compconf.h emu/opstruct.h
emu/mixing.o: include/mytypes.h emu/opstruct.h include/myendian.h
emu/mixing.o: include/compconf.h emu/samples.h
emu/samples.o: emu/samples.h include/mytypes.h include/myendian.h
emu/samples.o: include/compconf.h
fformat/fformat_.o: include/fformat.h include/mytypes.h include/myendian.h
fformat/fformat_.o: include/compconf.h
fformat/info_.o: fformat/info_.h
fformat/info_.o: include/mytypes.h include/myendian.h include/compconf.h
fformat/info_.o: include/fformat.h include/smart.h
fformat/info_.o: include/sidtune.h
fformat/mus_.o: fformat/mus_.h include/mytypes.h include/myendian.h
fformat/mus_.o: include/compconf.h include/smart.h
fformat/mus_.o: include/sidtune.h
fformat/pp_.o: fformat/pp_.h
fformat/pp_.o: include/mytypes.h include/myendian.h include/compconf.h
fformat/psid_.o: fformat/psid_.h
fformat/psid_.o: include/mytypes.h include/myendian.h include/compconf.h
fformat/psid_.o: include/sidtune.h
fformat/sid_.o: fformat/sid_.h
fformat/sid_.o: include/mytypes.h include/myendian.h include/compconf.h
fformat/sid_.o: include/fformat.h include/sidtune.h
eeconfig.o: eeconfig.h
eeconfig.o: include/emucfg.h include/compconf.h include/mytypes.h
eeconfig.o: include/sidtune.h emu/6510_.h emu/opstruct.h include/myendian.h
eeconfig.o: emu/samples.h
player.o: include/player.h include/compconf.h include/mytypes.h
player.o: include/emucfg.h include/sidtune.h include/version.h
player.o: include/myendian.h emu/6510_.h
sidtune.o: include/sidtune.h include/mytypes.h include/fformat.h
sidtune.o: include/myendian.h include/compconf.h include/pp.h

=== sidplay-console/Makefile ===
# Makefile for ``sidplay'' and ``sid2wav''.
#
# make depend
# make

#--------------------------------------------------------------
# Where libsidplay and header files are stored.

ifeq ($(SIDLIB),)
SIDLIB = ../libsidplay
endif

ifeq ($(SIDINC),)
SIDINC = ../libsidplay/include
endif

#--------------------------------------------------------------
# Root of any files that will be installed.

ifeq ($(DESTPREFIX),)
DESTPREFIX = /usr/local
endif

#--------------------------------------------------------------
# Compiler settings.

CC      =  g++
CFLAGS  =  -O2
LDFLAGS =

#--------------------------------------------------------------
# Due to conditional compilation, the audio driver needs a hint
# on the following platforms: HP-UX, SGI and maybe: SunOS
# -Dhpux, -Dsgi, -Dsun and -Dsparc
# 
# The systems Linux and FreeBSD are likely to provide a global
# setting, which means you don't need to set DEFS values
# -Dlinux, -D__FreeBSD__ here explicitly.
#
# Use -DCHECKFORSPEAKERBOX on Sparcstations where the
# availability of a speakerbox means better audio capabilities.

# Sparcstation running Solaris2.
#DEFS  +=  -Dsun -Dsparc -Dsolaris2
##DEFS  +=  -DCHECKFORSPEAKERBOX

# Sparcstation running SunOS.
#DEFS  +=  -Dsun -Dsparc
##DEFS  +=  -DCHECKFORSPEAKERBOX

#--------------------------------------------------------------
# Uncomment this if you use an old libg++.so

#OLDIOS = -liostream

#--------------------------------------------------------------
# Flags for includes and libraries.

INCS     +=  -I. -I$(SIDINC)
LIBS	 +=	 -lm $(OLDIOS)

sources =  sidplay.cpp audiodrv.cpp sid2wav.cpp

.PHONY: all
all:	sidplay sid2wav
		
sidplay:	sidplay.o audiodrv.o
		$(CC) -o $@ $(LDFLAGS) sidplay.o audiodrv.o $(LIBS) -L$(SIDLIB) -lsidplay

sid2wav:	sid2wav.o
		$(CC) -o $@ $(LDFLAGS) sid2wav.o $(LIBS) -L$(SIDLIB) -lsidplay

.PHONY: clean
clean:
		rm -f *.d *.o *~ sidplay sid2wav

.PHONY: depend
depend:
		@makedepend $(INCS) $(sources) 2> /dev/null

install:
		install -m 755 sidplay $(DESTPREFIX)/bin
		install -m 755 sid2wav $(DESTPREFIX)/bin

#--------------------------------------------------------------
# Automatic dependencies and compilation.

.EXPORT_ALL_VARIABLES:

.SUFFIXES:
.SUFFIXES: .cpp .d .h .o

%.d:	%.cpp
		$(CC) -M $(INCS) $(DEFS) $< > $@

%.o:	%.cpp
		$(CC) $(CFLAGS) $(INCS) $(DEFS) -c $< -o $@

# ---------------------------------------------------------------------------
# DO NOT DELETE THIS LINE -- make depend depends on it.

sidplay.o: ../libsidplay/include/player.h ../libsidplay/include/compconf.h
sidplay.o: ../libsidplay/include/mytypes.h ../libsidplay/include/emucfg.h
sidplay.o: ../libsidplay/include/sidtune.h ../libsidplay/include/version.h
sidplay.o: ../libsidplay/include/myendian.h audiodrv.h
audiodrv.o: audiodrv.h 
audiodrv.o: ../libsidplay/include/mytypes.h ../libsidplay/include/emucfg.h
audiodrv.o: ../libsidplay/include/compconf.h ../libsidplay/include/sidtune.h
sid2wav.o: ../libsidplay/include/player.h ../libsidplay/include/compconf.h
sid2wav.o: ../libsidplay/include/mytypes.h ../libsidplay/include/emucfg.h
sid2wav.o: ../libsidplay/include/sidtune.h ../libsidplay/include/version.h
sid2wav.o: ../libsidplay/include/myendian.h

## sidplay 1.36.28

=== Makefile ===
# Generated automatically from Makefile.in by configure.

SHELL			= /bin/sh

srcdirs 		= libsidplay console

.PHONY: all
all:
		@for subdir in $(srcdirs); do \
			(cd $$subdir && $(MAKE) all) || exit 1; \
		done

.PHONY: clean
clean:
		@for subdir in $(srcdirs); do \
			(cd $$subdir && $(MAKE) clean) || exit 1; \
		done

.PHONY: depend
depend:
		@for subdir in $(srcdirs); do \
			(cd $$subdir && $(MAKE) depend) || exit 1; \
		done

.PHONY: install
install:
		@for subdir in $(srcdirs); do \
			(cd $$subdir && $(MAKE) install) || exit 1; \
		done

=== console/Makefile ===
# Generated automatically from Makefile.in by configure.

SHELL			= /bin/sh

TOPDIR			= ..
BASEDIR			= .
SRCDIR			= $(BASEDIR)
prefix			= /usr
exec_prefix		= ${prefix}
bindir			= ${exec_prefix}/bin
libdir			= ${exec_prefix}/lib
includedir		= ${prefix}/include
DOCDIR			= $prefix/doc

CXX				= c++
CXXFLAGS		= -g -O2
LN				= ln -s
RM				= /bin/rm
AR				= /usr/bin/ar
RANLIB			= ranlib
INSTALL			= /usr/bin/install -c
INSTALL_DATA	= ${INSTALL} -m 644

LDFLAGS			= 
DEFS			= -DHAVE_CONFIG_H
INCLUDES		= -I$(SRCDIR) -I$(TOPDIR)/libsidplay/include

LIBM			= -lm
LIBIOS			= 
SIDLIB          = -L$(TOPDIR)/libsidplay -lsidplay
LIBS			=  $(LIBM) $(LIBIOS) $(SIDLIB)

#--------------------------------------------------------------

sources =  sidplay.cpp audiodrv.cpp sid2wav.cpp sidcon.cpp

.PHONY: all
all:	sidplay sid2wav sidcon

sidplay:	sidplay.o audiodrv.o
		$(CXX) -o $@ $(LDFLAGS) sidplay.o audiodrv.o $(LIBS)

sid2wav:	sid2wav.o
		$(CXX) -o $@ $(LDFLAGS) sid2wav.o $(LIBS)

sidcon:	sidcon.o
		$(CXX) -o $@ $(LDFLAGS) sidcon.o $(LIBS)

.PHONY: clean
clean:
		rm -f *.d *.o *~ sidplay sid2wav sidcon

.PHONY: depend
depend:
		makedepend $(INCLUDES) $(sources) 2> /dev/null

install:
		$(INSTALL) sidplay $(bindir)
		$(INSTALL) sid2wav $(bindir)
		$(INSTALL) sidcon $(bindir)

.EXPORT_ALL_VARIABLES:

.SUFFIXES:
.SUFFIXES: .cpp .d .h .o

%.o:	%.cpp
		$(CXX) $(CXXFLAGS) $(INCLUDES) $(DEFS) -c $< -o $@

# ---------------------------------------------------------------------------
# DO NOT DELETE THIS LINE -- make depend depends on it.

sidplay.o: /usr/include/stdlib.h /usr/include/features.h
sidplay.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
sidplay.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
sidplay.o: /usr/include/sys/types.h /usr/include/gnu/types.h
sidplay.o: /usr/include/time.h /usr/include/endian.h /usr/include/bytesex.h
sidplay.o: /usr/include/sys/select.h /usr/include/selectbits.h
sidplay.o: /usr/include/alloca.h /usr/include/unistd.h
sidplay.o: /usr/include/posix_opt.h /usr/include/confname.h
sidplay.o: ../libsidplay/include/player.h ../libsidplay/include/compconf.h
sidplay.o: ../libsidplay/include/config.h ../libsidplay/include/mytypes.h
sidplay.o: ../libsidplay/include/emucfg.h ../libsidplay/include/sidtune.h
sidplay.o: ../libsidplay/include/version.h ../libsidplay/include/myendian.h
sidplay.o: audiodrv.h /usr/include/fcntl.h /usr/include/fcntlbits.h
sidplay.o: /usr/include/sys/ioctl.h /usr/include/ioctls.h
sidplay.o: /usr/include/asm/ioctls.h /usr/include/asm/ioctl.h
sidplay.o: /usr/include/ioctl-types.h /usr/include/sys/ttydefaults.h
audiodrv.o: audiodrv.h /usr/include/unistd.h /usr/include/features.h
audiodrv.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
audiodrv.o: /usr/include/posix_opt.h /usr/include/gnu/types.h
audiodrv.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
audiodrv.o: /usr/include/confname.h /usr/include/fcntl.h
audiodrv.o: /usr/include/fcntlbits.h /usr/include/sys/types.h
audiodrv.o: /usr/include/time.h /usr/include/endian.h /usr/include/bytesex.h
audiodrv.o: /usr/include/sys/select.h /usr/include/selectbits.h
audiodrv.o: /usr/include/sys/ioctl.h /usr/include/ioctls.h
audiodrv.o: /usr/include/asm/ioctls.h /usr/include/asm/ioctl.h
audiodrv.o: /usr/include/ioctl-types.h /usr/include/sys/ttydefaults.h
audiodrv.o: ../libsidplay/include/compconf.h ../libsidplay/include/config.h
audiodrv.o: ../libsidplay/include/mytypes.h ../libsidplay/include/emucfg.h
audiodrv.o: ../libsidplay/include/sidtune.h
sid2wav.o: /usr/include/stdlib.h /usr/include/features.h
sid2wav.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
sid2wav.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
sid2wav.o: /usr/include/sys/types.h /usr/include/gnu/types.h
sid2wav.o: /usr/include/time.h /usr/include/endian.h /usr/include/bytesex.h
sid2wav.o: /usr/include/sys/select.h /usr/include/selectbits.h
sid2wav.o: /usr/include/alloca.h /usr/include/string.h
sid2wav.o: ../libsidplay/include/myendian.h ../libsidplay/include/compconf.h
sid2wav.o: ../libsidplay/include/config.h ../libsidplay/include/mytypes.h
sid2wav.o: ../libsidplay/include/player.h ../libsidplay/include/emucfg.h
sid2wav.o: ../libsidplay/include/sidtune.h ../libsidplay/include/version.h
sid2wav.o: ../libsidplay/include/fformat.h
sidcon.o: /usr/include/ctype.h /usr/include/features.h
sidcon.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
sidcon.o: /usr/include/endian.h /usr/include/bytesex.h /usr/include/stdlib.h
sidcon.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
sidcon.o: /usr/include/sys/types.h /usr/include/gnu/types.h
sidcon.o: /usr/include/time.h /usr/include/sys/select.h
sidcon.o: /usr/include/selectbits.h /usr/include/alloca.h
sidcon.o: /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h
sidcon.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stdarg.h
sidcon.o: /usr/include/stdio_lim.h /usr/include/string.h
sidcon.o: ../libsidplay/include/sidtune.h ../libsidplay/include/mytypes.h
sidcon.o: ../libsidplay/include/compconf.h ../libsidplay/include/config.h
sidcon.o: ../libsidplay/include/fformat.h

=== libsidplay/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile template for libsidplay.

version 		= 1.36.28
majorversion 	= 1.36

SHELL			= /bin/sh

BASEDIR			= .
SRCDIR			= $(BASEDIR)
prefix			= /usr
exec_prefix		= ${prefix}
bindir			= ${exec_prefix}/bin
libdir          = ${exec_prefix}/lib
includedir      = ${prefix}/include
includedest     = $(includedir)/sidplay
DOCDIR			= $prefix/doc

CXX				= c++
CXXFLAGS		= -g -O2
LN			    = ln -s
RM              = /bin/rm
AR              = /usr/bin/ar
RANLIB			= ranlib
INSTALL			= /usr/bin/install -c
INSTALL_DATA	= ${INSTALL} -m 644

LDFLAGS			= 
DEFS			= -DHAVE_CONFIG_H
INCLUDES		= -I$(SRCDIR) -I$(SRCDIR)/emu -I$(SRCDIR)/include

LIBM			= -lm
LIBIOS			= 
LIBS			=  $(LIBM) $(LIBIOS)

#--------------------------------------------------------------

srcdirs = . emu fformat include

sources = emu/6510_.cpp emu/6581_.cpp emu/envelope.cpp emu/mixing.cpp emu/samples.cpp \
		fformat/fformat_.cpp fformat/info_.cpp fformat/mus_.cpp fformat/pp_.cpp \
		fformat/psid_.cpp fformat/sid_.cpp \
		eeconfig.cpp player.cpp sidtune.cpp

srcobjs = emu/6510_.o emu/6581_.o emu/envelope.o emu/mixing.o emu/samples.o  \
		fformat/fformat_.o fformat/info_.o fformat/mus_.o fformat/pp_.o  \
		fformat/psid_.o fformat/sid_.o \
		eeconfig.o player.o sidtune.o

install_headers = include/compconf.h include/config.h include/emucfg.h \
		include/fformat.h include/myendian.h include/mytypes.h \
		include/player.h include/sidtune.h include/version.h \
		include/fixpoint.h

.EXPORT_ALL_VARIABLES:

.SUFFIXES:
.SUFFIXES: .cpp .h .o

%.o:	%.cpp
		$(CXX) $(CXXFLAGS) $(INCLUDES) $(DEFS) -c $< -o $@

.PHONY: all
all:	engine libsidplay.a

engine: $(srcobjs)

libsidplay.a: $(srcobjs)
		$(RM) -f libsidplay.a
		$(AR) crv libsidplay.a $(srcobjs)
		$(RANLIB) libsidplay.a

libsidplay.so: $(srcobjs)
		$(CXX) -shared -Wl,-soname,libsidplay.so.$(majorversion) \
		-o libsidplay.so $(srcobjs)

.PHONY: clean
clean:
		@for subdir in $(srcdirs); do \
			(cd $$subdir && $(RM) -f *.d *.o *~ *.a *.so) || exit 1; \
		done

.PHONY: depend
depend:
		makedepend $(INCLUDES) $(sources) 2> /dev/null

.PHONY: install
install:	install-headers install-static

install-static:
		$(INSTALL) -d -m 755 $(libdir)
		$(INSTALL_DATA) libsidplay.a $(libdir)/libsidplay.a

install-headers:
		$(RM) -f $(includedest)/*
		$(INSTALL) -d -m 755 $(includedest)
		for file in $(install_headers); do \
			($(INSTALL_DATA) $$file $(includedest) ) || exit 1; \
		done

install-shared:
		$(INSTALL) -d -m 755 $(libdir)
		$(INSTALL_DATA) libsidplay.so $(libdir)/libsidplay.so.$(version)
		$(RM) -f $(libdir)/libsidplay.so.$(majorversion)
		$(RM) -f $(libdir)/libsidplay.so
		$(LN) -sfv libsidplay.so.$(version) $(libdir)/libsidplay.so.$(majorversion)
		$(LN) -sfv libsidplay.so.$(version) $(libdir)/libsidplay.so

#--------------------------------------------------------------
# DO NOT DELETE THIS LINE -- make depend depends on it.

emu/6510_.o: emu/6510_.h ./include/mytypes.h ./include/compconf.h
emu/6510_.o: ./include/config.h ./include/myendian.h ./include/emucfg.h
emu/6510_.o: ./include/sidtune.h
emu/6581_.o: ./include/mytypes.h ./include/compconf.h ./include/config.h
emu/6581_.o: ./include/myendian.h ./include/sidtune.h emu/6510_.h
emu/6581_.o: ./include/emucfg.h emu/envelope.h emu/opstruct.h emu/samples.h
emu/6581_.o: emu/wave6581.h emu/wave8580.h
emu/envelope.o: /usr/include/math.h /usr/include/features.h
emu/envelope.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
emu/envelope.o: /usr/include/huge_val.h /usr/include/mathcalls.h
emu/envelope.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/float.h
emu/envelope.o: ./include/compconf.h ./include/config.h emu/envelope.h
emu/envelope.o: ./include/mytypes.h ./include/myendian.h emu/opstruct.h
emu/mixing.o: ./include/mytypes.h ./include/compconf.h ./include/config.h
emu/mixing.o: emu/opstruct.h ./include/myendian.h emu/samples.h
emu/samples.o: emu/samples.h ./include/mytypes.h ./include/compconf.h
emu/samples.o: ./include/config.h ./include/myendian.h
fformat/fformat_.o: /usr/include/ctype.h /usr/include/features.h
fformat/fformat_.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
fformat/fformat_.o: /usr/include/endian.h /usr/include/bytesex.h
fformat/fformat_.o: /usr/include/string.h
fformat/fformat_.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
fformat/fformat_.o: ./include/fformat.h ./include/compconf.h
fformat/fformat_.o: ./include/config.h ./include/mytypes.h
fformat/fformat_.o: ./include/myendian.h
fformat/info_.o: fformat/info_.h ./include/compconf.h ./include/config.h
fformat/info_.o: /usr/include/string.h /usr/include/features.h
fformat/info_.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
fformat/info_.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
fformat/info_.o: ./include/mytypes.h ./include/myendian.h ./include/fformat.h
fformat/info_.o: ./include/smart.h /usr/include/ctype.h /usr/include/endian.h
fformat/info_.o: /usr/include/bytesex.h ./include/sidtune.h
fformat/mus_.o: fformat/mus_.h ./include/compconf.h ./include/config.h
fformat/mus_.o: ./include/mytypes.h ./include/myendian.h ./include/smart.h
fformat/mus_.o: /usr/include/ctype.h /usr/include/features.h
fformat/mus_.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
fformat/mus_.o: /usr/include/endian.h /usr/include/bytesex.h
fformat/mus_.o: ./include/sidtune.h
fformat/pp_.o: fformat/pp_.h /usr/include/string.h /usr/include/features.h
fformat/pp_.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
fformat/pp_.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
fformat/pp_.o: /usr/include/limits.h /usr/include/posix1_lim.h
fformat/pp_.o: /usr/include/local_lim.h /usr/include/linux/limits.h
fformat/pp_.o: /usr/include/posix2_lim.h ./include/mytypes.h
fformat/pp_.o: ./include/compconf.h ./include/config.h ./include/myendian.h
fformat/psid_.o: fformat/psid_.h /usr/include/string.h
fformat/psid_.o: /usr/include/features.h /usr/include/sys/cdefs.h
fformat/psid_.o: /usr/include/gnu/stubs.h
fformat/psid_.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
fformat/psid_.o: ./include/mytypes.h ./include/compconf.h ./include/config.h
fformat/psid_.o: ./include/myendian.h ./include/sidtune.h
fformat/sid_.o: fformat/sid_.h ./include/compconf.h ./include/config.h
fformat/sid_.o: /usr/include/ctype.h /usr/include/features.h
fformat/sid_.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
fformat/sid_.o: /usr/include/endian.h /usr/include/bytesex.h
fformat/sid_.o: /usr/include/string.h
fformat/sid_.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
fformat/sid_.o: ./include/mytypes.h ./include/myendian.h ./include/fformat.h
fformat/sid_.o: ./include/sidtune.h
eeconfig.o: eeconfig.h /usr/include/math.h /usr/include/features.h
eeconfig.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
eeconfig.o: /usr/include/huge_val.h /usr/include/mathcalls.h
eeconfig.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/float.h
eeconfig.o: /usr/include/time.h
eeconfig.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
eeconfig.o: /usr/include/timebits.h /usr/include/gnu/types.h
eeconfig.o: ./include/emucfg.h ./include/compconf.h ./include/config.h
eeconfig.o: ./include/mytypes.h ./include/sidtune.h emu/6510_.h
eeconfig.o: emu/opstruct.h ./include/myendian.h emu/samples.h
eeconfig.o: ./include/version.h
player.o: ./include/player.h ./include/compconf.h ./include/config.h
player.o: ./include/mytypes.h ./include/emucfg.h ./include/sidtune.h
player.o: ./include/version.h ./include/myendian.h emu/6510_.h
sidtune.o: /usr/include/string.h /usr/include/features.h
sidtune.o: /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h
sidtune.o: /usr/lib/gcc-lib/i486-linux/2.7.2.3/include/stddef.h
sidtune.o: /usr/include/limits.h /usr/include/posix1_lim.h
sidtune.o: /usr/include/local_lim.h /usr/include/linux/limits.h
sidtune.o: /usr/include/posix2_lim.h ./include/sidtune.h ./include/mytypes.h
sidtune.o: ./include/compconf.h ./include/config.h ./include/fformat.h
sidtune.o: ./include/myendian.h ./include/pp.h

## sidplay 2.0.9

=== debian/changelog ===
sidplay (2.0.9-7ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
   - Backport portions of patch from Cybjit resolving failure to play
     audio due to missing /dev/dsp. This patch adds ALSA support.
     (LP: #727573)

 -- Mate Kukri <mate.kukri@canonical.com>  Fri, 05 Jan 2024 11:17:52 +0000

sidplay (2.0.9-7) unstable; urgency=medium

  * Switch to short debhelper rules format (closes: #999210).
  * Update debhelper level to 13 (closes: #727965, #965817).
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Jan 2022 08:37:32 +0100

sidplay (2.0.9-6ubuntu6) groovy; urgency=medium

  * Fix ftbfs with current alsa.
  * Bump debhelper version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 May 2020 16:23:06 +0200

sidplay (2.0.9-6ubuntu5) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 08:58:32 +0100

sidplay (2.0.9-6ubuntu4) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:08:56 +0000

sidplay (2.0.9-6ubuntu3) wily; urgency=medium

  * No-change rebuild against libsidplay2v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:56:34 +0200

sidplay (2.0.9-6ubuntu2) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.
  * Remove config.{sub,guess} from root.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 06 Oct 2014 21:38:56 -0400

sidplay (2.0.9-6ubuntu1) oneiric; urgency=low

  * Backport portions of patch from Cybjit resolving failure to play
    audio due to missing /dev/dsp. This patch adds ALSA support.
    (LP: #727573)
  * Update configure.ac; run autoconf.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Aug 2011 11:59:35 -0400

sidplay (2.0.9-6) unstable; urgency=low

  * Fix invalid conversion from 'const char*' to 'char*' compilation errors
    (closes: #560471).
  * Move to debhelper level 5 and update to Standards-Version to 3.8.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 09 Feb 2010 23:03:05 +0000

sidplay (2.0.9-5) unstable; urgency=low

  * Fix a compilation error and warnings with gcc-4.3/g++-4.3 .
  * Update watch file thanks to Raphael Geissert (closes: #449887).
  * Correct minor packaging issues and update Standards-Version to 3.7.3 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 07 Apr 2008 23:46:50 +0200

sidplay (2.0.9-4) unstable; urgency=medium

  * Again a fix for GNU/kFreeFSD compilation (closes: #399124).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 18 Nov 2006 06:38:45 +0000

sidplay (2.0.9-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD's, thanks to Aurelien Jarno
    <aurel32@debian.org> (closes: #336880).
  * Updated FSF address in copyright.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu,  9 Mar 2006 21:00:30 +0000

sidplay (2.0.9-2) unstable; urgency=low

  * Fix manpage typeos, thanks to A Costa <agcosta@gis.net> (closes: #312762).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 20 Aug 2005 15:27:21 +0200

sidplay (2.0.9-1) unstable; urgency=low

  * New upstream version.
  * Changed email address.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 25 Nov 2004 03:22:59 +0100

sidplay (2.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump up Standards-Version to 3.6.1, no changes needed.
  * Cleaned up rules a bit.
  * Remove spurious rpath from binary.
  * New maintainer.

 -- László Böszörményi (GCS) <gcs@lsc.hu>  Sat, 14 Aug 2004 13:23:32 +0000

sidplay (2.0.7+cvs20030111-2) unstable; urgency=low

  * src/keyboard.cpp: Fix char/int silliness with _getch().
    (Closes: #181223)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 16 Feb 2003 16:17:26 +0100

sidplay (2.0.7+cvs20030111-1) unstable; urgency=low

  * Initial Release.

 -- Ivo Timmermans <ivo@debian.org>  Sun, 12 Jan 2003 18:12:04 +0100

=== debian/control ===
Source: sidplay
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), libsidplay2-dev (>= 2.1.1-4), libresid-builder-dev (>= 2.1.1), libsidutils-dev, libtool-bin, pkg-config, libasound2-dev
Homepage: http://sidplay2.sourceforge.net/
Standards-Version: 4.6.0.1

Package: sidplay
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Music player for tunes from C64 and C128 (console)
 This is a simple music player for C64 and C128 tunes, also known as
 SID tunes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-alsa

## sidplay 2.0.9-5-alsa2

=== debian/changelog ===
sidplay (2.0.9-5-alsa2) unstable; urgency=low

  * Don't rename resulting package to sidplay2.
  * Package replaces sidplay2.

 -- Tommi Saviranta <wnd@iki.fi>  Wed, 23 Sep 2009 15:12:41 +0300

sidplay (2.0.9-5-alsa1) unstable; urgency=low

  * Nearly complete rewrite of ALSA driver to support new ALSA API.

 -- Tommi Saviranta <wnd@iki.fi>  Sun, 20 Jul 2008 13:43:26 +0300

=== debian/control ===
Source: sidplay
Section: user/multimedia
Priority: optional
Maintainer: Tommi Saviranta <wnd@iki.fi>
Build-Depends: debhelper (>= 4.0.0), libsidplay2-dev (>= 2.1.1-4), pkg-config, libresid-builder-dev (>= 2.1.1), libsidutils-dev, chrpath, libasound2-dev
Homepage: http://sidplay2.sourceforge.net/
Standards-Version: 3.7.3

Package: sidplay
Architecture: any
Depends: ${shlibs:Depends}
Replaces: sidplay2
Description: Music player for tunes from C64 and C128 (console)
 This is a simple music player for C64 and C128 tunes, also known as
 SID tunes.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f config.log
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

maintainerclean: clean
	libtoolize --force --copy
	aclocal -I unix
	automake --copy --add-missing
	autoconf

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/sidplay.
	$(MAKE) install prefix=$(CURDIR)/debian/sidplay/usr
	chrpath -d $(CURDIR)/debian/sidplay/usr/bin/sidplay2


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
